# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Fri Jul 12 08:19:08 2024
# ------------------------------------------------

package:
  name: libxml2
  version: 2.12.7
source:
  patches:
    - 0002-Make-and-install-a-pkg-config-file-on-Windows.patch
  sha256: a7c1277f4e859883ff3aaa09a545561b7515e078a97eb240bb92bf5a03ae03fc
  url: https://gitlab.gnome.org/GNOME/libxml2/-/archive/v2.12.7/libxml2-v2.12.7.tar.gz
build:
  number: '3'
  run_exports:
    - libxml2 >=2.12.7,<3.0a0
  string: hfed6450_3
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 h69a702a_16
    - _sysroot_linux-aarch64_curr_repodata_hack 4 h57d6b7b_16
    - autoconf 2.71 pl5321h2b4cb7a_1
    - automake 1.16.5 pl5321ha770c72_0
    - binutils_impl_linux-64 2.40 ha1999f0_7
    - binutils_impl_linux-aarch64 2.40 hdca1da1_7
    - binutils_linux-aarch64 2.40 h418c4e9_9
    - gcc_impl_linux-64 12.3.0 h58ffeeb_13
    - gcc_impl_linux-aarch64 12.3.0 h6b39dc3_13
    - gcc_linux-aarch64 12.3.0 h525de96_9
    - kernel-headers_linux-64 3.10.0 h4a8ded7_16
    - kernel-headers_linux-aarch64 4.18.0 h5b4a56d_16
    - ld_impl_linux-64 2.40 hf3520f5_7
    - ld_impl_linux-aarch64 2.40 h4607a90_7
    - libgcc-devel_linux-64 12.3.0 h6b66f73_113
    - libgcc-devel_linux-aarch64 12.3.0 hd3fdf07_13
    - libgcc-ng 14.1.0 h77fa898_0
    - libgomp 14.1.0 h77fa898_0
    - libiconv 1.17 hd590300_2
    - libsanitizer 12.3.0 hb8811af_13
    - libstdcxx-ng 14.1.0 hc0a3c3a_0
    - libtool 2.4.7 h27087fc_0
    - libxcrypt 4.4.36 hd590300_1
    - m4 1.4.18 h516909a_1001
    - make 4.3 hd18ef5c_1
    - perl 5.32.1 7_hd590300_perl5
    - pkg-config 0.29.2 h36c2ea0_1008
    - sysroot_linux-64 2.17 h4a8ded7_16
    - sysroot_linux-aarch64 2.17 h5b4a56d_16
    - tzdata 2024a h0c530f3_0
  host:
    - _openmp_mutex 4.5 2_gnu
    - icu 73.2 h787c7f5_0
    - libgcc-ng 14.1.0 he277a41_0
    - libgomp 14.1.0 he277a41_0
    - libiconv 1.17 h31becfc_2
    - libstdcxx-ng 14.1.0 h3f4de04_0
    - libzlib 1.3.1 h68df207_1
    - xz 5.2.6 h9cdd2b7_0
    - zlib 1.3.1 h68df207_1
  run:
    - icu >=73.2,<74.0a0
    - libgcc-ng >=12
    - libiconv >=1.17,<2.0a0
    - libzlib >=1.3.1,<2.0a0
    - xz >=5.2.6,<6.0a0
test:
  commands:
    - xmllint test.xml
  files:
    - test.xml
  requires:
    - ripgrep
about:
  description: 'Though libxml2 is written in C a variety of language

    bindings make it available in other environments.

    '
  dev_url: https://git.gnome.org/browse/libxml2/
  doc_source_url: https://github.com/GNOME/libxml2/blob/master/doc/index.html
  doc_url: http://xmlsoft.org/html/index.html
  home: http://xmlsoft.org/
  license: MIT
  license_family: MIT
  license_file: Copyright
  summary: The XML C parser and toolkit of Gnome
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: azure_20240712.2.1
  recipe-maintainers:
    - gillins
    - isuruf
    - jakirkham
    - jschueller
    - msarahan
    - ocefpaf
    - scopatz
  remote_url: https://github.com/conda-forge/libxml2-feedstock
  sha: 766b661dfcb836c96661912cea55de38d632e9a2
